Catmandu::Fix::disassoc(3pm)

NAME
Catmandu::Fix::disassoc - inverse of assoc, transform a hash into an array of key value pairs

SYNOPSIS
   # {fields => {subject => 'Perl', year => 2009}}
   disassoc(fields, pairs, key, val)
   # {pairs => [{key => 'year', val => 2009}, {key => 'subject', val => 'Perl'}], fields => ...}

SEE ALSO
Catmandu::Fix::assoc, Catmandu::Fix